<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    tools:context=".activity.AQiblaCompass">

    <RelativeLayout
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:layout_alignParentEnd="true"
        android:layout_alignParentRight="true"
        android:layout_alignParentTop="true"
        android:layout_marginRight="10dp"
        android:layout_marginTop="64dp">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:src="@drawable/ic_level" />

        <ImageView
            android:id="@+id/smallCircle"
            android:layout_width="18dp"
            android:layout_height="18dp"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:src="@drawable/ic_level" />

        <ImageView
            android:id="@+id/error"
            android:layout_width="10dp"
            android:layout_height="10dp"
            android:src="@drawable/error"
            android:visibility="gone" />

        <ImageView
            android:id="@+id/compassLevel"
            android:layout_width="10dp"
            android:layout_height="10dp"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:src="@drawable/ic_level_pointer" />

    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_centerVertical="true"
        android:layout_weight="0.4"
        android:visibility="visible"
        android:id="@+id/compassMain">

        <RelativeLayout
            android:id="@+id/compassContainer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:visibility="visible">

            <ImageView
                android:id="@+id/imageView"
                android:layout_width="300dp"
                android:layout_height="300dp"
                android:src="@mipmap/compass_frame"
                android:layout_alignParentTop="true"
                android:layout_alignParentLeft="true"
                android:layout_alignParentStart="true" />

            <ImageView
                android:id="@+id/imageView2"
                android:layout_width="250dp"
                android:layout_height="250dp"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:src="@mipmap/compass_needle" />

        </RelativeLayout>


        <RelativeLayout
            android:id="@+id/compassMapContainer"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:visibility="gone">

            <fragment
                android:id="@+id/map"
                android:name="com.google.android.gms.maps.SupportMapFragment"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/innerplace"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:visibility="gone">

            <ImageView
                android:id="@+id/red_circle"
                android:layout_width="300dp"
                android:layout_height="300dp"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:scaleType="center"
                android:src="@drawable/oval_green"
                android:visibility="visible" />

            <ImageView
                android:id="@+id/poinerInner"
                android:layout_width="285dp"
                android:layout_height="285dp"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:src="@mipmap/compass_needle" />

        </RelativeLayout>

    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center"
        android:orientation="vertical"
        android:layout_alignParentBottom="true"
        android:layout_alignParentLeft="true"
        android:layout_alignParentStart="true"
        android:layout_marginBottom="57dp">

        <TextView
            android:id="@+id/angle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:textAppearance="?android:attr/textAppearanceMedium"
            android:textColor="@color/orangeBRIS"
            android:textSize="24sp" />

    </LinearLayout>

    <!--<android.support.v7.widget.Toolbar-->
        <!--xmlns:android="http://schemas.android.com/apk/res/android"-->
        <!--android:layout_width="match_parent"-->
        <!--android:layout_height="wrap_content"-->
        <!--android:id="@+id/tb_transparent"-->
        <!--android:background="@color/colorPrimaryIslamic">-->

        <!--<TextView-->
            <!--android:layout_width="match_parent"-->
            <!--android:layout_height="wrap_content"-->
            <!--android:id="@+id/tv_tb_transparent"-->
            <!--android:textSize="@dimen/font_toolbar"-->
            <!--android:text="Arah Kiblat"-->
            <!--android:textColor="@color/white"-->
            <!--android:textStyle="bold"/>-->

    <!--</android.support.v7.widget.Toolbar>-->

    <include layout="@layout/toolbar_regular" />
</RelativeLayout>